package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.SysCoupon;
import com.ym.mec.biz.dal.page.SysCouponQueryInfo;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;

public interface SysCouponService extends BaseService<Integer, SysCoupon> {

    PageInfo<SysCoupon> queryPage(SysCouponQueryInfo queryInfo);

    void updateCoupon(SysCoupon sysCoupon);

    /**
     * @param couponId: 优惠券编号
     * @return void
     * @describe 优惠券低库存警告
     * @author Joburgess
     * @date 2021/9/8 0008
     */
    void stockWarning(Integer couponId, String couponName);

    /**
     * 新增优惠券
     *
     * @param sysCoupon
     */
    long add(SysCoupon sysCoupon);
}
